Debian Bug report logs - #288379
RM: vcg -- RoQA; orphaned, better alternatives

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Mon, 3 Jan 2005 12:18:01 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Malcolm Parsons <malcolm@ivywell.screaming.net>, <wnpp@debian.org>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to Malcolm Parsons <malcolm@ivywell.screaming.net>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: vcg -- A Visualization Tool for compiler graphs
Date: Mon, 03 Jan 2005 13:01:59 +0100
Package: wnpp
Severity: normal

The current maintainer of vcg, Malcolm Parsons <malcolm@ivywell.screaming.net>,
is apparently not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: vcg
Binary: vcg
Version: 1.30debian-1
Priority: optional
Section: graphics
Maintainer: Malcolm Parsons <malcolm@ivywell.screaming.net>
Build-Depends: xlibs-dev, xutils, debmake
Architecture: any
Standards-Version: 3.5.8
Format: 1.0
Directory: pool/main/v/vcg
Files: c767846fe4a75cb7c9e8b52d0bc9e587 581 vcg_1.30debian-1.dsc
 a69beb1cfaf4fc2c35113982339e1aa4 1030318 vcg_1.30debian.orig.tar.gz
 b231af88fc696c6a2971205a068b7126 8322 vcg_1.30debian-1.diff.gz

Package: vcg
Priority: optional
Section: graphics
Installed-Size: 796
Maintainer: Malcolm Parsons <malcolm@ivywell.screaming.net>
Architecture: i386
Version: 1.30debian-1
Depends: libc6 (>= 2.3.1-1), xlibs (>> 4.1.0)
Filename: pool/main/v/vcg/vcg_1.30debian-1_i386.deb
Size: 282460
MD5sum: 38f9be765b7117b70f5ebea1b3c98b3f
Description: A Visualization Tool for compiler graphs
 The VCG tool reads a textual and readable specification of a
 graph and visualizes the graph.  If not all positions of
 nodes are fixed, the tool layouts the graph using several
 heuristics as reducing the number of crossings, minimizing
 the size of edges, centering of nodes.  The specification
 language of the  VCG  tool is nearly compatible to GRL, the
 language of the edge tool, but contains many extensions. The
 VCG tool allows folding of dynamically or statically specified
 regions of the graph.  It uses colors and runs on X11.

Justification: Mail bounces for 2 months, no upload in nearly 2 years



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to malcolm.parsons@gmail.com:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 288379@bugs.debian.org (full text, mbox):

From: malcolm.parsons@gmail.com
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: 288379@bugs.debian.org
Subject: Re: O: vcg -- A Visualization Tool for compiler graphs
Date: Tue, 4 Jan 2005 23:03:33 +0000
On Mon, Jan 03, 2005 at 01:01:59PM +0100, Jeroen van Wolffelaar wrote:

> The current maintainer of vcg, Malcolm Parsons <malcolm@ivywell.screaming.net>,
> is apparently not active anymore.  Therefore, I orphan this package
> now.  If you want to be the new maintainer, please take it -- see
> http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
> instructions how to adopt a package properly.
> 
> Justification: Mail bounces for 2 months,

Spammers got hold of that address and used it as the from address
of lots of spam.  I couldn't cope with all the bounces.

> no upload in nearly 2 years

It's dead upstream, so uploads are unlikely.

The GUI needs to be rewritten in GTK.

Everyone who wants a tool like vcg uses the non-free graphviz package
instead.

I'm happy for someone more interested in this tool to adopt it.

-- 
Malcolm Parsons



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ian Zimmerman <itz@buug.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 288379@bugs.debian.org (full text, mbox):

From: Ian Zimmerman <itz@buug.org>
To: 288379@bugs.debian.org
Subject: Re: O: vcg -- A Visualization Tool for compiler graphs
Date: 04 Jan 2005 22:23:07 -0800
Malcolm> Everyone who wants a tool like vcg uses the non-free graphviz
Malcolm> package instead.

Not true; I do, and some software does, for instance,

http://atseidl2.informatik.tu-muenchen.de/~berlea/Fxp/

Malcolm> The GUI needs to be rewritten in GTK.

True, but not a reason to let it die, IMO.  I'll put in on my list of
projects to explore.

Malcolm> I'm happy for someone more interested in this tool to adopt it.

Would you consider sponsoring me?  I'll be stuck in the NM queue for
some weeks (months?) to come.

-- 
I wonder which is the best virus for unix and if I can write
a better one in Microsoft BASIC ?
Hans-Marc Olsen in comp.unix.programmer



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 288379@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Ian Zimmerman <itz@buug.org>
Cc: 288379@bugs.debian.org
Subject: I offer to look after the package for you untill you become a developer, Ian!
Date: Wed, 05 Jan 2005 14:02:21 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Ian,

I'd be happy to help you take good care of this package.

I will not sponsor you in the typical way, where you are tagged as the
maintainer of the package (I believe that praxis to be broken: you do
not have access to all developer tools, and our structures do not
support getting hold of you in case of problems). Instead, I will adopt
the package and work with you on the packaging, and when you are a
developer and I (most probably) still feel confident that you are
capable of maintaining it properly, I will hand the maintainership over
to you.

Does that sound fair to you?


 - Jonas

- --
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

 - Enden er nær: http://www.shibumi.org/eoti.htm
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFB2+Vcn7DbMsAkQLgRAjW6AJ49y7NE5TJOnyj5IoF+nj2T+3A9AQCdEbhV
XzglhNbGhVGU/hUfqh3j4Dk=
=X47v
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 288379@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Jonas Smedegaard <dr@jones.dk>, 288379@bugs.debian.org
Cc: Ian Zimmerman <itz@buug.org>
Subject: Re: Bug#288379: I offer to look after the package for you untill you become a developer, Ian!
Date: Thu, 6 Jan 2005 16:45:20 +0100
[Message part 1 (text/plain, inline)]
Hi,

Jonas Smedegaard wrote:
> I will not sponsor you in the typical way, where you are tagged as the
> maintainer of the package (I believe that praxis to be broken: you do
> not have access to all developer tools, and our structures do not

err? what exactly? He has all the packages, BTS, PTS, etc available.

> support getting hold of you in case of problems). Instead, I will adopt

uh? He gets the BTS mails, you know his email etc.
> the package and work with you on the packaging, and when you are a
> developer and I (most probably) still feel confident that you are

To becoming a developer he need to have a own package already. If you
are Maintainer: he doesn't have one.

> capable of maintaining it properly, I will hand the maintainership over
> to you.
> 
> Does that sound fair to you?

It looks fundamentally broken. Just sponsor it the normal way.

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73
      
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Jörg Jaspert" <joerg@ganneff.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #30 received at 288379@bugs.debian.org (full text, mbox):

From: "Jörg Jaspert" <joerg@ganneff.de>
To: 288379@bugs.debian.org
Cc: Ian Zimmerman <itz@buug.org>, Jonas Smedegaard <dr@jones.dk>
Subject: Sponsoring
Date: Thu, 6 Jan 2005 16:47:18 +0100 (CET)
Hi

>I will not sponsor you in the typical way, where you are tagged as the
>maintainer of the package (I believe that praxis to be broken: you do
>not have access to all developer tools, and our structures do not
>support getting hold of you in case of problems). Instead, I will adopt
>the package and work with you on the packaging, and when you are a
>developer and I (most probably) still feel confident that you are
>capable of maintaining it properly, I will hand the maintainership over
>to you.
>Does that sound fair to you?

To me that does sound like a real broken sponsoring and like a ego-trip
(package-count). Sorry, but there is not much Ian needs for his package
maintainership that he cant access right now. I cant think of anything
he would need.
A proper sponsoring isnt visible anywhere in the package, except maybe a
"Thanks to my sponsor" entry in changelog AND the signature of the
.dsc/.changes file.
One can also list the sponsor as an Uploader, but thats one step more and
up to the sponsor.

Sorry, just want to write my opinion here.

Bye,
Joerg



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #35 received at 288379@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Jörg Jaspert <joerg@ganneff.de>
Cc: 288379@bugs.debian.org, Ian Zimmerman <itz@buug.org>
Subject: Re: Sponsoring
Date: Thu, 06 Jan 2005 18:53:14 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 06-01-2005 16:47, Jörg Jaspert wrote:

>>I will not sponsor you in the typical way, where you are tagged as the
>>maintainer of the package (I believe that praxis to be broken: you do
>>not have access to all developer tools, and our structures do not
>>support getting hold of you in case of problems). Instead, I will adopt
>>the package and work with you on the packaging, and when you are a
>>developer and I (most probably) still feel confident that you are
>>capable of maintaining it properly, I will hand the maintainership over
>>to you.
>>Does that sound fair to you?
> 
> 
> To me that does sound like a real broken sponsoring and like a ego-trip
> (package-count). Sorry, but there is not much Ian needs for his package
> maintainership that he cant access right now. I cant think of anything
> he would need.
> A proper sponsoring isnt visible anywhere in the package, except maybe a
> "Thanks to my sponsor" entry in changelog AND the signature of the
> .dsc/.changes file.
> One can also list the sponsor as an Uploader, but thats one step more and
> up to the sponsor.

Feel free to sponsor Ian the "normal" way instead. I won't be in your
way of doing so.

I take on a responsibility and do it the way I feel confident and
comfortable about it.


> Sorry, just want to write my opinion here.

Fair enough. Maybe the -project mailinglist was a better place for
eventual further discussion, though.


 - Jonas

- --
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

 - Enden er nær: http://www.shibumi.org/eoti.htm
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFB3XsKn7DbMsAkQLgRAuL1AKCoSx/s5N3wUeDfj7yPrBsqnzckvgCgiXkv
sD9h8ZCToKBfBuyB5h30qz8=
=ZEH4
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #40 received at 288379@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Rene Engelhard <rene@debian.org>
Cc: 288379@bugs.debian.org, Ian Zimmerman <itz@buug.org>
Subject: Re: Bug#288379: I offer to look after the package for you untill you become a developer, Ian!
Date: Thu, 06 Jan 2005 18:57:52 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 06-01-2005 16:45, Rene Engelhard wrote:

> It looks fundamentally broken. Just sponsor it the normal way.

Did you volunteer? Else please let me do it how I want to (as long as I
do not break policies or in other ways bring our society in danger).


 - Jonas


- --
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

 - Enden er nær: http://www.shibumi.org/eoti.htm
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFB3Xwgn7DbMsAkQLgRAlR/AJ9YJv004e5TXLe63Py5tRCogl5p8QCgkaDC
PiHNcUQDB5B3y0A4jQZK/Kc=
=Kf3T
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #45 received at 288379@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Jonas Smedegaard <dr@jones.dk>
Cc: 288379@bugs.debian.org, Ian Zimmerman <itz@buug.org>
Subject: Re: Bug#288379: I offer to look after the package for you untill you become a developer, Ian!
Date: Thu, 6 Jan 2005 19:16:48 +0100
[Message part 1 (text/plain, inline)]
Hi,

Jonas Smedegaard wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> On 06-01-2005 16:45, Rene Engelhard wrote:
> 
> > It looks fundamentally broken. Just sponsor it the normal way.
> 
> Did you volunteer? Else please let me do it how I want to (as long as I
> do not break policies or in other ways bring our society in danger).

You did not read, did you. It *does* break policies and it *does* bring
danger. I wrote an example (the NM<->packages case).

And Maintainer: always should be the actual maintainer...

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73
      
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joerg Jaspert <joerg@ganneff.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #50 received at 288379@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@ganneff.de>
To: Jonas Smedegaard <dr@jones.dk>
Cc: 288379@bugs.debian.org, Ian Zimmerman <itz@buug.org>
Subject: Re: Sponsoring
Date: Thu, 06 Jan 2005 20:26:58 +0100
On 10161 March 1977, Jonas Smedegaard wrote:

>>>Does that sound fair to you?
>> To me that does sound like a real broken sponsoring and like a ego-trip
>> (package-count). Sorry, but there is not much Ian needs for his package
>> maintainership that he cant access right now. I cant think of anything
>> he would need.
>> A proper sponsoring isnt visible anywhere in the package, except maybe a
>> "Thanks to my sponsor" entry in changelog AND the signature of the
>> .dsc/.changes file.
>> One can also list the sponsor as an Uploader, but thats one step more and
>> up to the sponsor.
> Feel free to sponsor Ian the "normal" way instead. I won't be in your
> way of doing so.
> I take on a responsibility and do it the way I feel confident and
> comfortable about it.
>> Sorry, just want to write my opinion here.
> Fair enough. Maybe the -project mailinglist was a better place for
> eventual further discussion, though.

http://www.debian.org/doc/developers-reference/ch-beyond-pkging.en.html#s-sponsoring

Especially 7.5.2 with
"The Maintainer field of the control file and the changelog should list
the person who did the packaging, i.e., the sponsoree. The sponsoree
will therefore get all the BTS mail about the package.

If you prefer to leave a more evident trace of your sponsorship job, you
can add a line stating it in the most recent changelog entry."

Do it right please or dont do it.

Ian: a.) You need to retitle the Bug if you really want to adopt it.
     b.) I suggest asking -mentors
     c.) If b. doesnt help (and you really tried) come back to me.

-- 
bye Joerg
Von einem Besucher auf dem LT:

Die 3 Microsoft-Leute auf Ihrem Stand müssen sich vorkommen wie 3
Mönche im Puff.



Changed Bug title. Request was from Ian Zimmerman <itz@buug.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #57 received at 288379@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Rene Engelhard <rene@debian.org>
Cc: 288379@bugs.debian.org, Ian Zimmerman <itz@buug.org>
Subject: Re: Bug#288379: I offer to look after the package for you untill you become a developer, Ian!
Date: Sun, 23 Jan 2005 11:16:38 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 06-01-2005 19:16, Rene Engelhard wrote:
> Hi,
> 
> Jonas Smedegaard wrote:
> 
>>-----BEGIN PGP SIGNED MESSAGE-----
>>Hash: SHA1
>>
>>On 06-01-2005 16:45, Rene Engelhard wrote:
>>
>>
>>>It looks fundamentally broken. Just sponsor it the normal way.
>>
>>Did you volunteer? Else please let me do it how I want to (as long as I
>>do not break policies or in other ways bring our society in danger).
> 
> 
> You did not read, did you. It *does* break policies and it *does* bring
> danger. I wrote an example (the NM<->packages case).

Yes, I read, but did not at that time find any policy breach.

I have now found a place that I obstruct: The "Checklist for Application
Managers".

I still do not believe to break Debian Policy (please state a specific
one), but it can be argued that I do not help either.

I will not sign packages of non-developers, because (as stated earlier)
I do not believe this works. Please, instead of persuading me to use my
signature for something I do not believe in, go ahead and do so yourself!


> And Maintainer: always should be the actual maintainer...

You did not read, did you? I offer to be the actual maintainer until Ian
can take over using our core procedures (not the NM add-on that I do not
believe in).


Ian:

You are still welcome to have me help: Make a package and put it public
somewhere (including sources). Then we can discuss possible improvements
and I maintain the package (with your changes clearly declared as coming
from you, off course) until you can take it over yourself.

I assume you want to adopt this package because you believe it is for
the good of Debian users, not only to proove your packaging skills.

If you believe that demonstrating your packaging skills this non-NM way
hurts your case then off course you should not accept my offer.


Have a nice day, everyone

 - Jonas


P.S.

If package count was my goal, I'd go package a bunch of perl modules
instead of helping upcoming maintainers.

- --
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

 - Enden er nær: http://www.shibumi.org/eoti.htm
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFB83mGn7DbMsAkQLgRAuu2AJ0UBGMZgjTsRGZnsv+/cJ2zGOaQzwCcCkz6
4Zm7gL+u0GH/P3jAFth3vNk=
=387/
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #62 received at 288379@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Jonas Smedegaard <dr@jones.dk>
Cc: 288379@bugs.debian.org, Ian Zimmerman <itz@buug.org>
Subject: Re: Bug#288379: I offer to look after the package for you untill you become a developer, Ian!
Date: Sun, 23 Jan 2005 16:45:53 +0100
[Message part 1 (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ian Zimmerman <itz@buug.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #67 received at 288379@bugs.debian.org (full text, mbox):

From: Ian Zimmerman <itz@buug.org>
To: Rene Engelhard <rene@debian.org>
Cc: Jonas Smedegaard <dr@jones.dk>, 288379@bugs.debian.org, Jens Peter Secher <jpsecher@get2net.dk>, Malcolm Parsons <malcolm.parsons@gmail.com>
Subject: Re: Bug#288379: I offer to look after the package for you untill you become a developer, Ian!
Date: 23 Jan 2005 09:07:07 -0800
Jonas> You are still welcome to have me help: Make a package and put it
Jonas> public somewhere (including sources). Then we can discuss
Jonas> possible improvements and I maintain the package (with your
Jonas> changes clearly declared as coming from you, off course) until
Jonas> you can take it over yourself.

Jonas> I assume you want to adopt this package because you believe it is
Jonas> for the good of Debian users, not only to proove your packaging
Jonas> skills.

Not either, really; it is for my own benefit, since I use it (indirectly),
and I prefer having everything apt-able.

Rene> You'll help him better doing it the usual way instead of taking
Rene> over the package and make him send patches (which is in fact the
Rene> case then)...

I have already uploaded a diff and dsc:

http://primate.net/~itz/vcg_1.30debian-2.diff.gz
http://primate.net/~itz/vcg_1.30debian-2.dsc

However, Jens Secher (who had offered to sponsor me the usual way)
pointed out that the .orig tarball differs from the one listed in
the copyright file.  This is not my doing; I just took the .orig
file apt-get source gave me.  We (Jens, me, and previous maintainer)
had some inconclusive discussion about this, and right now I don't
know how to proceed.  My indecision has only been reinforced by
the thread below (which, too, petered out in an ambiguous way):

http://lists.debian.org/debian-legal/2005/01/msg00297.html

-- 
I wonder which is the best virus for unix and if I can write
a better one in Microsoft BASIC ?
Hans-Marc Olsen in comp.unix.programmer



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #72 received at 288379@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Ian Zimmerman <itz@buug.org>
Cc: Rene Engelhard <rene@debian.org>, 288379@bugs.debian.org, Jens Peter Secher <jpsecher@get2net.dk>, Malcolm Parsons <malcolm.parsons@gmail.com>
Subject: Re: Bug#288379: I offer to look after the package for you untill you become a developer, Ian!
Date: Sun, 23 Jan 2005 18:31:06 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 23-01-2005 18:07, Ian Zimmerman wrote:

> Jonas> I assume you want to adopt this package because you believe it is
> Jonas> for the good of Debian users, not only to proove your packaging
> Jonas> skills.
> 
> Not either, really; it is for my own benefit, since I use it (indirectly),
> and I prefer having everything apt-able.

You can make your personal packages apt-get'able without the need for
them being official. No need to become a Debian Maintainer for that, or
have your packages sponsored.


> Rene> You'll help him better doing it the usual way instead of taking
> Rene> over the package and make him send patches (which is in fact the
> Rene> case then)...
> 
> I have already uploaded a diff and dsc:

Rene also wrote (aimed at me like above, not Ian):
> You break the - unwritten iirc - sponsoring policy.

Good luck following this unwritten policy, everyone.


regards,

 - Jonas


- --
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

 - Enden er nær: http://www.shibumi.org/eoti.htm
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFB899an7DbMsAkQLgRAqecAKCGnH4VhbZQnG/CDq4AYtqG51Ky4QCfdfTr
NjQjsWl0KrQ7csIonTKFT5c=
=fpxm
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #77 received at 288379@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Rene Engelhard <rene@debian.org>
Cc: 288379@bugs.debian.org, Ian Zimmerman <itz@buug.org>
Subject: Re: Bug#288379: I offer to look after the package for you untill you become a developer, Ian!
Date: Sun, 23 Jan 2005 19:12:31 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 23-01-2005 16:45, Rene Engelhard wrote:
> Hi,
> 
> Jonas Smedegaard wrote:
> 
>>>>>It looks fundamentally broken. Just sponsor it the normal way.
>>>>
>>>>Did you volunteer? Else please let me do it how I want to (as long as I
>>>>do not break policies or in other ways bring our society in danger).
> 
> 
> You do. You break the - unwritten iirc - sponsoring policy.
> 
> And you will make Ian have a hard time going through NM. In NM we check
> if a prospective maintainer already has packages. If Maintainer: is you,
> he has no package. And no, I won't accept a package which is not
> Maintainer: the NM to be maintained by the NM and I think many other NMs
> won't do it either. Because Maintainer: says it is maintained by you.
> That he "sends patches" (note the "'s) is not enough for the
> having-a-package-in-the-archive criterium. I don't know how the FD
> handles them but he won't get approved so with some AMs I guess...

If "helping out the project the best as he can while waiting for the
process to move on" hurts his case, then off course he shouldn't. And if
that is the case I think I see a reason why your mysterious policy is
not written down... :-P


>>I will not sign packages of non-developers, because (as stated earlier)
>>I do not believe this works. Please, instead of persuading me to use my
> 
> 
> Why not? Check their changes (interdiff, zless etc.) and then rebuild
> fully and sign it.

My worry is not so much what I sign but the visibility of my signature.
The reason is _not_ fame, but things like ability for the community to
keep track of non-developer maintainers and their sponsors: Can you tell
me which packages are currently maintained by non-developers, and
sponsored by which developers? I don't know how.

Our tools and policies are designed to handle developers in a keyring.
Sponsoring of packages is a hack and I believe that hack has flaws on
the meta level.

What I see as bugs others find convenient - so I won't make a fuzz about
it (like you may have noticed I do with the (ab)use of -private). I
simply choose to not use those routines.


>>signature for something I do not believe in, go ahead and do so yourself!
> 
> 
> I won't either.

I offered to help Ian my way. You offer nothing, but tell me to do
things you won't do yourself. That makes no sense to me.



Greetings,

 - Jonas

- --
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

 - Enden er nær: http://www.shibumi.org/eoti.htm
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFB8+kPn7DbMsAkQLgRAuSHAJ9zzdCchIImsQDo4c+AjL0uO89J/ACfVpbB
3kHwWmZDQ8ArNmd4HjTBJNw=
=m9sM
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jens Peter Secher <jps@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #82 received at 288379@bugs.debian.org (full text, mbox):

From: Jens Peter Secher <jps@debian.org>
To: Ian Zimmerman <itz@buug.org>
Cc: 288379@bugs.debian.org
Subject: VCG, license, and source location
Date: Sun, 23 Jan 2005 23:30:57 +0100
Ian Zimmerman <itz@buug.org> writes:

> However [...] the .orig tarball differs from the one listed in
> the copyright file. [...] We (Jens, me, and previous maintainer)
> had some inconclusive discussion about this, and right now I don't
> know how to proceed.  

How about putting the DFSG/GPL-compatible source on Savanna (or
similar), so that there is a (new) canonical place to get VCG.  Of
course, politely ask the original authors about their opinion first.

But I am by no means going to be obstructive over this.  I just noticed
the mismatch while inspecting the package.

>                       My indecision has only been reinforced by
> the thread below (which, too, petered out in an ambiguous way):
>
> http://lists.debian.org/debian-legal/2005/01/msg00297.html

That thread talks about possible problems with the Common Public License
(CPL).  The conclusion seems to be that the CPL is OK.  Anyways, VCG is
under GPL, so I fail to see the connection...?
-- 
                                                    Jens Peter Secher
_DD6A 05B0 174E BFB2 D4D9 B52E 0EE5 978A FE63 E8A1 jpsecher get2net dk_



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ian Zimmerman <itz@buug.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #87 received at 288379@bugs.debian.org (full text, mbox):

From: Ian Zimmerman <itz@buug.org>
To: Jens Peter Secher <jps@debian.org>
Cc: 288379@bugs.debian.org
Subject: Re: VCG, license, and source location
Date: 23 Jan 2005 19:44:06 -0800
Jens> How about putting the DFSG/GPL-compatible source on Savanna (or
Jens> similar), so that there is a (new) canonical place to get VCG.  Of
Jens> course, politely ask the original authors about their opinion
Jens> first.

Okay.

Ian> My indecision has only been reinforced by the thread below (which,
Ian> too, petered out in an ambiguous way):

>> http://lists.debian.org/debian-legal/2005/01/msg00297.html

Jens> That thread talks about possible problems with the Common Public
Jens> License (CPL).  The conclusion seems to be that the CPL is OK.
Jens> Anyways, VCG is under GPL, so I fail to see the connection...?

The thread is about a particular package newly under CPL - graphviz.
graphviz can do many of the same things vcg can, and seems to be more
widely used.  And, after seeing the vcg source, graphviz is probably
easier to maintain <grin>

-- 
I wonder which is the best virus for unix and if I can write
a better one in Microsoft BASIC ?
Hans-Marc Olsen in comp.unix.programmer



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ian Zimmerman <itz@buug.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #92 received at 288379@bugs.debian.org (full text, mbox):

From: Ian Zimmerman <itz@buug.org>
To: Jens Peter Secher <jps@debian.org>
Cc: 288379@bugs.debian.org
Subject: Re: VCG, license, and source location
Date: 02 Feb 2005 22:13:47 -0800
Jens> How about putting the DFSG/GPL-compatible source on Savanna (or
Jens> similar), so that there is a (new) canonical place to get VCG.  Of
Jens> course, politely ask the original authors about their opinion
Jens> first.

Ian> I'm writing on behalf of the Debian project.  We'd like to keep vcg
Ian> as a Debian package, however, Debian procedures require us to keep
Ian> an intact upstream source package (under a free license) plus
Ian> Debian patches.  In the case of vcg, that is not trivial because
Ian> the free (unobfuscated) version of the layout sources has only been
Ian> released separately from the rest of the package.

Ian> Since vcg doesn't seem to be actively developed anymore by you,
Ian> would you object if we fork a version and maintain it on Savannah,
Ian> SourceForge or a similar community site?  Legally there is no
Ian> problem because it's under GPL, but you must be given proper human
Ian> consideration.

Well, it has been over a week now, so I feel justified in taking over
the upstream if necessary.  

Ian> graphviz.  graphviz can do many of the same things vcg can, and
Ian> seems to be more widely used.  And, after seeing the vcg source,
Ian> graphviz is probably easier to maintain <grin>

It seems graphviz has indeed entered main (I am not sure because I track
testing, but I'll know in two weeks).  So maintaining vcg may not be
worth the effort.

I'll keep you updated ...

-- 
I wonder which is the best virus for unix and if I can write
a better one in Microsoft BASIC ?
Hans-Marc Olsen in comp.unix.programmer



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ian Zimmerman <itz@buug.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #97 received at 288379@bugs.debian.org (full text, mbox):

From: Ian Zimmerman <itz@buug.org>
To: Jens Peter Secher <jps@debian.org>
Cc: 288379@bugs.debian.org
Subject: Re: VCG, license, and source location
Date: 06 Feb 2005 22:13:45 -0800
Ian> It seems graphviz has indeed entered main (I am not sure because I
Ian> track testing, but I'll know in two weeks).  So maintaining vcg may
Ian> not be worth the effort.

Ian> I'll keep you updated ...

graphviz now in testing; marking vcg back to O
Thanks for yor offer of help, though.  I have some other packages ready,
would you like to look at them?

-- 
I wonder which is the best virus for unix and if I can write
a better one in Microsoft BASIC ?
Hans-Marc Olsen in comp.unix.programmer



Changed Bug title. Request was from Ian Zimmerman <itz@buug.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Anibal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #104 received at 288379@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@debian.org>
To: James Michael DuPont <mdupont777@yahoo.com>, 300511@bugs.debian.org, 288379@bugs.debian.org
Cc: Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: Bug#300511: ITA: vcg O: vcg -- A Visualization Tool for compiler graphs. I would like to take over maintainence of this package
Date: Sun, 20 Mar 2005 20:55:05 +1100
[Message part 1 (text/plain, inline)]
reassign 300511 wnpp
owner 300511 James Michael DuPont <mdupont777@yahoo.com>
retitle 300511 ITP: vcg -- A Visualization Tool for compiler graphs
owner 288379 James Michael DuPont <mdupont777@yahoo.com>
retitle 288379 ITP: vcg -- A Visualization Tool for compiler graphs
merge 288379 300511
thanks

On Sun, Mar 20, 2005 at 09:56:44AM +0100, James Michael DuPont wrote:
>Package: vcg
>Version: 1.30debian-1
>Severity: normal
>
>This is related to the orphaning of vcg Bug#288379
>
>I am working on a new release of the source on
>https://savannah.nongnu.org/projects/vcgdotgnu
>
>It turns out that the source that we recieved from sander that made it
>into debian was not supposed to have been released by him. Therefore I
>am working on unuglifing the source code. I have one file, step2.c done
>and preparing it for release. Me and the other project member ML are
>working on this project now. I would like to take over the debian
>maintence.
>
>thanks
>mike
>
>-- System Information:
>Debian Release: 3.1
>  APT prefers testing
>  APT policy: (990, 'testing'), (300, 'unstable')
>Architecture: i386 (i686)
>Kernel: Linux 2.4.21-xfs
>Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
>
>Versions of packages vcg depends on:
>ii  libc6                    2.3.2.ds1-20    GNU C Library: Shared libraries an
>ii  xlibs                    4.3.0.dfsg.1-10 X Keyboard Extension (XKB) configu

Anibal Monsalve Salazar
--
 .''`. Debian GNU/Linux
: :' : Free Operating System
`. `'  http://debian.org/
  `-   http://v7w.com/anibal
[signature.asc (application/pgp-signature, inline)]

Owner recorded as James Michael DuPont <mdupont777@yahoo.com>. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 288379 300511. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, James Michael DuPont <mdupont777@yahoo.com>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, James Michael DuPont <mdupont777@yahoo.com>. Full text and rfc822 format available.

Message #115 received at 288379@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Anibal Monsalve Salazar <anibal@debian.org>
Cc: James Michael DuPont <mdupont777@yahoo.com>, 300511@bugs.debian.org, 288379@bugs.debian.org, Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: Bug#300511: ITA: vcg O: vcg -- A Visualization Tool for compiler graphs. I would like to take over maintainence of this package
Date: Sun, 20 Mar 2005 13:59:45 +0000
retitle 300511 ITA: vcg -- A Visualization Tool for compiler graphs
retitle 288379 ITA: vcg -- A Visualization Tool for compiler graphs
thanks

This package existsin the archive already, so'ITA' is the right tag to
use.

* Anibal Monsalve Salazar <anibal@debian.org> [2005-03-20 20:55]:
> reassign 300511 wnpp
> owner 300511 James Michael DuPont <mdupont777@yahoo.com>
> retitle 300511 ITP: vcg -- A Visualization Tool for compiler graphs
> owner 288379 James Michael DuPont <mdupont777@yahoo.com>
> retitle 288379 ITP: vcg -- A Visualization Tool for compiler graphs
> merge 288379 300511
> thanks
> 
> On Sun, Mar 20, 2005 at 09:56:44AM +0100, James Michael DuPont wrote:
> >Package: vcg
> >Version: 1.30debian-1
> >Severity: normal
> >
> >This is related to the orphaning of vcg Bug#288379
-- 
Martin Michlmayr
http://www.cyrius.com/



Severity set to `wishlist'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug#288379. Full text and rfc822 format available.

Message #124 received at 288379-submitter@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: control@bugs.debian.org
Cc: 288379-submitter@bugs.debian.org
Subject: Fixing WNPP problems
Date: Sun, 20 Mar 2005 06:54:19 -0700
# ITP bugs have severity wishlist, not normal
severity 288379 wishlist
thanks

There were some problems in the way you filed this WNPP bug.  Please see
http://www.debian.org/devel/wnpp for instructions.

-- 
Martin Michlmayr
http://www.cyrius.com/



Severity set to `normal'. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #131 received at 288379-quiet@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Martin Michlmayr <tbm@cyrius.com>, 288379-quiet@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#288379: Fixing WNPP problems
Date: Sun, 20 Mar 2005 16:21:06 +0100
severity 288379 normal
thanks

On Sun, Mar 20, 2005 at 06:54:19AM -0700, Martin Michlmayr wrote:
> # ITP bugs have severity wishlist, not normal
> severity 288379 wishlist
> thanks
> 
> There were some problems in the way you filed this WNPP bug.  Please see
> http://www.debian.org/devel/wnpp for instructions.

heh, I'll keep that in mind :)

Concurrent modification exception though, at the moment, it's ITA again,
and should be normal... There was some really broken stuff going on.

Shoud be fixed now.

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Information stored:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #136 received at 288379-quiet@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: 288379-quiet@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#288379: Fixing WNPP problems
Date: Sun, 20 Mar 2005 15:34:09 +0000
* Jeroen van Wolffelaar <jeroen@wolffelaar.nl> [2005-03-20 16:21]:
> Concurrent modification exception though, at the moment, it's ITA again,
> and should be normal... There was some really broken stuff going on.

I know, the script doesn't take situations like these in account.
(i.e. it sees an ITP with a wrong severity, but later notices an ITP
which should be an ITA; so first the severity is changed, but then
it's retitled, and so the new severity is wrong).
-- 
Martin Michlmayr
http://www.cyrius.com/



Information stored:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #141 received at 288379-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: James Michael DuPont <mdupont777@yahoo.com>
Cc: 288379-quiet@bugs.debian.org, 300511-quiet@bugs.debian.org
Subject: Bug#300511: ITA: vcg -- A Visualization Tool for compiler graphs
Date: Sat, 08 Oct 2005 01:31:45 +0200
On Sun, Mar 20, 2005 at 09:56:44 +0100, James Michael DuPont wrote:
> I am working on a new release of the source on
> https://savannah.nongnu.org/projects/vcgdotgnu
>
> It turns out that the source that we recieved from sander that made it
> into debian was not supposed to have been released by him. Therefore I
> am working on unuglifing the source code. I have one file, step2.c done
> and preparing it for release. Me and the other project member ML are
> working on this project now. I would like to take over the debian
> maintence.

Do you still intend to adopt vcg?  (This is just a ping, I'm not
interested in adopting it myself.)

Thanks,

Matej



Information stored:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to James Michael DuPont <mdupont777@yahoo.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #146 received at 288379-quiet@bugs.debian.org (full text, mbox):

From: James Michael DuPont <mdupont777@yahoo.com>
To: Matej Vela <vela@debian.org>
Subject: Re: Bug#300511: ITA: vcg -- A Visualization Tool for compiler graphs
Date: Sun, 9 Oct 2005 18:51:07 -0700 (PDT)
I have been working on it on and off, but yes i do.
mike

--- Matej Vela <vela@debian.org> wrote:

> On Sun, Mar 20, 2005 at 09:56:44 +0100, James Michael DuPont wrote:
> > I am working on a new release of the source on
> > https://savannah.nongnu.org/projects/vcgdotgnu
> >
> > It turns out that the source that we recieved from sander that made
> it
> > into debian was not supposed to have been released by him.
> Therefore I
> > am working on unuglifing the source code. I have one file, step2.c
> done
> > and preparing it for release. Me and the other project member ML
> are
> > working on this project now. I would like to take over the debian
> > maintence.
> 
> Do you still intend to adopt vcg?  (This is just a ping, I'm not
> interested in adopting it myself.)
> 
> Thanks,
> 
> Matej
> 


James Michael DuPont
http://introspector.sourceforge.net/


	
		
__________________________________ 
Yahoo! Mail - PC Magazine Editors' Choice 2005 
http://mail.yahoo.com





Information stored:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #151 received at 288379-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: James Michael DuPont <mdupont777@yahoo.com>
Cc: 288379-quiet@bugs.debian.org, 300511-quiet@bugs.debian.org
Subject: Re: ITA: vcg -- A Visualization Tool for compiler graphs
Date: Mon, 19 Dec 2005 10:41:55 +0100
On Sun, Oct 09, 2005 at 18:51:07 -0700, James Michael DuPont wrote:
> --- Matej Vela <vela@debian.org> wrote:
>> Do you still intend to adopt vcg?  (This is just a ping, I'm not
>> interested in adopting it myself.)
>
> I have been working on it on and off, but yes i do.

Is this still the case?

Thanks,

Matej



Information stored:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to James Michael DuPont <mdupont777@yahoo.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #156 received at 288379-quiet@bugs.debian.org (full text, mbox):

From: James Michael DuPont <mdupont777@yahoo.com>
To: Matej Vela <vela@debian.org>
Subject: Re: ITA: vcg -- A Visualization Tool for compiler graphs
Date: Wed, 18 Jan 2006 11:56:50 -0800 (PST)
I still intend, but have not had time!
mike

--- Matej Vela <vela@debian.org> wrote:

> On Sun, Oct 09, 2005 at 18:51:07 -0700, James Michael DuPont wrote:
> > --- Matej Vela <vela@debian.org> wrote:
> >> Do you still intend to adopt vcg?  (This is just a ping, I'm not
> >> interested in adopting it myself.)
> >
> > I have been working on it on and off, but yes i do.
> 
> Is this still the case?
> 
> Thanks,
> 
> Matej
> 


James Michael DuPont
http://introspector.sourceforge.net/

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, James Michael DuPont <mdupont777@yahoo.com>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Moreno Garza <damog@merkel.debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, James Michael DuPont <mdupont777@yahoo.com>. Full text and rfc822 format available.

Message #161 received at 288379@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: control@bugs.debian.org
Cc: 288379@bugs.debian.org
Subject: WNPP bug retitle
Date: Sun, 01 Oct 2006 11:59:21 -0600
retitle 288379 O: vcg -- A Visualization Tool for compiler graphs
noowner 288379
thanks obrigado

Hello,

This is an automatic mail sent to retitle the ITA you have reported or 
are involved with.

Your ITA wnpp bug is being orphaned because of the following reasons:
- It is, as of today, older than 250 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be managing some bugs that are not 
intended by owners and submitters (like you) to be orphaned, for
example if the ITA is still of your interest, or there has been 
some kind of activity around it. In that case, please retitle the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily recover
their bugs ;-).

To retitle it, you simply have to mail <control@bugs.debian.org>
with a body text like this:

retitle 288379 ITA: vcg -- A Visualization Tool for compiler graphs
owner 288379 !
thanks bts

Further comments on the work done in the bug sent to
288379@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.




Changed Bug title. Request was from David Moreno Garza <damog@merkel.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Removed annotation that Bug was owned by James Michael DuPont <mdupont777@yahoo.com>. Request was from David Moreno Garza <damog@merkel.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Disconnected #300511 from all other report(s). Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288379; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #172 received at 288379@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Bug#288379 <288379@bugs.debian.org>, 437450@bugs.debian.org, 370081@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: O: vcg -- A Visualization Tool for compiler graphs
Date: Sun, 9 Dec 2007 16:15:59 +0100
reassign 288379 ftp.debian.org
retitle 288379 RM: vcg -- RoQA; orphaned, better alternatives
reassign 437450 ftp.debian.org
retitle 437450 RM: prcs -- RoQA; orphaned
reassign 370081 ftp.debian.org
retitle 370081 RM: dmachinemon -- RoQA; orphaned
thanks

Hi,

vcg has been orphaned since 2005. There was some interest about adopting
it, but since graphviz is a good alternative, and is now in main, the
interest died.

It has two rev deps, both orphaned and unmaintained upstream.
(dmachinemon and prcs-visualtree) Also, both seem easily replaceable by
other packages, so I'm requesting their removals as well.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Sun, 09 Dec 2007 15:21:32 GMT) Full text and rfc822 format available.

Changed Bug title to `RM: vcg -- RoQA; orphaned, better alternatives' from `O: vcg -- A Visualization Tool for compiler graphs'. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Sun, 09 Dec 2007 15:21:32 GMT) Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #181 received at 288379-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 288379-close@bugs.debian.org
Cc: vcg@packages.debian.org, vcg@packages.qa.debian.org
Subject: Bug#288379: fixed
Date: Mon, 10 Dec 2007 00:43:59 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

       vcg | 1.30debian-6 | source, alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 288379@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Jan 2008 07:34:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:48:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.